<!DOCTYPE html>
<html lang="en" xmlns:th="http://thymeleaf.org">
<head>
    <meta charset="UTF-8">
    <title>Add User</title>
    <object th:include="fragments/fragment :: css" th:remove="tag"></object>
    <object th:include="fragments/fragment :: js" th:remove="tag"></object>
</head>
<body>
<!--<nav th:replace="fragments/fragment :: navbar('user')"></nav>-->
<div class="container" >
    <div class="alert" th:if=${pesanError}>
        <div th:text="${pesanError}" class="alert alert-danger" onclick="this.parentElement.style.display='none';"></div>
    </div>
    <div class="card m-4 p-4">
        <div class="card-body">
            <div class="justify-content-center">
                <h2>Tambah User</h2>
                <br>
                <form th:action="@{/user/add/}" th:object="${user}" method="POST">
                    <label>User Name</label>
                    <input type="text" name="username" class="form-control"/>
                    <br><br>
                    <label>Nama</label>
                    <input type="text" name="nama" class="form-control"/>
                    <br><br>
                    <label>Password</label>
                    <input type="password" name="password" class="form-control"/>
                    <br><br>
                    <label>Role</label>
                    <select name="role" class="form-control">
                        <option selected value="">--pilih role--</option>
                        <option th:each="role : ${listRole}"
                                th:value="${role.idRole}"
                                th:text="${role.role}">
                        </option>
                    </select>
                    <br>
                    <button type="submit" class="btn btn-primary">Simpan</button>
                    <a class="btn btn-primary" href="/">Home</a>
                </form>
            </div>
        </div>
    </div>
</div>
</body>
</html>